%define module_name	rt73
%define module_release	alt2
%define module_version	1.0.0

%define kversion	2.6.18
%define krelease	alt12
%define flavour		std-smp

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.132626.12

Summary: Kernel module for Ralink rt73 chipset

License: GPL
Group: System/Kernel and hardware
Url: http://rt2x00.serialmonkey.com/

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux

BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides: kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86

Requires: firmware-%module_name

%description
This project is a development effort to create a stable and feature rich
Linux driver for wireless 802.11b and 802.11g cards that are based on
the Ralink rt73 (USB) chipset.

These are modules for ALT Linux system.

%prep
rm -rf kernel-source-%module_name-%module_version

tar -jxf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%__make CC=gcc-$GCC_VERSION KERNDIR=%_usrsrc/linux-%kversion-%flavour

%install
install -m644 -D %module_name.ko %buildroot/%module_dir/extra/%module_name.ko

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%doc TESTING iwpriv_usage.txt
%module_dir

%changelog
* Sun Feb 10 2008 Sergey Vlasov <vsu@altlinux.ru> 1.0.0-alt2.132626.12
- Build for kernel-image-std-smp-2.6.18-alt12.

* Sun Nov 04 2007 L.A. Kostis <lakostis@altlinux.ru> 1.0.0-alt2
- move to kernel cvs.
- move firmware to separate package and add proper requires.
- .spec cleanup.

* Tue Oct 23 2007 Vitaly Lipatov <lav@altlinux.ru> 1.0.0-alt1
- initial build for ALT Linux Sisyphus
